package cn.com.ty.lift.batch.quartz;

import cn.com.ty.lift.batch.applet.dao.model.Project;
import cn.com.ty.lift.batch.applet.service.ProjectService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author bieao
 * @date 2020/2/9
 * @description 批量更新项目状态
 */
@Slf4j
@Component
@Configuration
@EnableScheduling
public class ProjectStatusQuartzJob {

    @Resource
    private ProjectService projectService;

    /**
     * @description 批量更新项目状态
     * @date 2020/2/10 11:26 上午
     */
    @Scheduled(cron = "0 0 0 * * ?")
    public void modifyProjectStatus() {
        log.info("开始执行批量更新项目状态");
        List<Project> projects = projectService.queryProjectList();
        projectService.updateBatch(projects);
        log.info("批量更新项目状态执行成功");
    }
}
