package cn.com.ty.lift.business.capital.dao.entity;

import cn.com.ty.lift.business.common.BaseEntity;
import cn.com.ty.lift.common.constants.FieldName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @author bieao
 * @date 2020/2/3
 * @description 大修
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CapitalRepair extends BaseEntity {
    /**
     * 项目ID
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    @NotNull(message = "项目ID不能为空")
    @Min(value = 1, message = "项目ID有误")
    private Long id;

    /**
     * 维保公司ID
     */
    @FieldName(name = "维保公司ID")
    @NotNull(message = "维保公司ID不能为空")
    @Min(value = 1, message = "维保公司ID有误")
    private Long mtCompanyId;

    /**
     * 甲方公司ID
     */
    @FieldName(name = "甲方公司ID")
    @NotNull(message = "甲方公司ID不能为空")
    private Long ppCompanyId;

    /**
     * 甲方联系人ID
     */
    @FieldName(name = "甲方联系人ID")
    private Long ppContactId;

    /**
     * 项目编号
     */
    @FieldName(name = "项目编号")
    private String projectCode;

    /**
     * 项目名称
     */
    @FieldName(name = "项目名称")
    private String projectName;

    /**
     * 项目用途
     */
    @FieldName(name = "项目名称")
    private String projectUsage;

    /**
     * 省编码
     */
    @FieldName(name = "省编码")
    private String provinceCode;

    /**
     * 省
     */
    @FieldName(name = "省")
    private String province;

    /**
     * 市编码
     */
    @FieldName(name = "市编码")
    private String cityCode;

    /**
     * 市
     */
    @FieldName(name = "市")
    private String city;

    /**
     * 区编码
     */
    @FieldName(name = "区编码")
    private String districtCode;

    /**
     * 区
     */
    @FieldName(name = "区")
    private String district;

    /**
     * 项目地址
     */
    @FieldName(name = "项目地址")
    private String projectAddress;

    /**
     * 经纬度
     */
    @FieldName(name = "经纬度")
    private String coordinate;

    /**
     * 开始时间
     */
    @FieldName(name = "开始时间")
    private LocalDate startDate;

    /**
     * 项目原有结束时间
     */
    @FieldName(name = "项目原有结束时间")
    private LocalDate endDate;

    /**
     * 延期后的结束时间
     */
    @FieldName(name = "项目原有结束时间")
    private LocalDate delayTime;

    /**
     * 逾期时间
     */
    @FieldName(name = "逾期时间")
    private LocalDate overdueDate;

    /**
     * 逾期原因
     */
    @FieldName(name = "逾期原因")
    private String overdueReason;

    /**
     * 逾期标识 0 未逾期 1 逾期
     */
    @FieldName(name = "逾期标识")
    private Integer overdueFlag;

    /**
     * 状态 1:尚未开始;2:施工中;3:待审核;4:完成
     */
    @FieldName(name = "项目状态")
    private String projectStatus;

    /**
     * 停止服务描述
     */
    @FieldName(name = "停止服务描述")
    private String endRemarks;

    /**
     * 项目停止时间
     */
    @FieldName(name = "项目停止时间")
    private LocalDateTime stopTime;

    /**
     * 是否开启消息推送 0否 1是
     */
    @FieldName(name = "是否开启消息推送")
    private String pushFlag;

    /**
     * 区域ID
     */
    @FieldName(name = "区域ID")
    private Long regionId;
}
