package cn.com.ty.lift.system.wechat.utils;

import cn.com.ty.lift.system.wechat.constants.WxConstants;
import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;

/**
 * @author huangyuan
 * @date 2019-12-30
 * @description
 */
public class WxUtil {

    /**
     * @param authCode 用户授权码
     * @return openId
     * @description app端通过用户授权码获取用户openId
     */
    public static String getAppOpenIdByAuthCode(String authCode) {
        String url = WxConstants.AppConfigConstants.USER_INFO_ACCESS_TOKEN_URL
                .replace("APPID", WxConstants.AppConfigConstants.APP_ID)
                .replace("SECRET", WxConstants.AppConfigConstants.APP_SECRET)
                .replace("CODE", authCode);
        JSONObject result = JSONUtil.parseObj(HttpUtil.get(url));
        if (result.containsKey("openid")) {
            return result.getStr("openid");
        }
        return null;
    }

    /**
     * @param authCode 用户授权码
     * @return openId
     * @description 小程序端通过用户授权码获取用户openId
     * @date 2020/4/27 10:36 上午
     */
    public static String getAppletOpenIdByAuthCode(String authCode) {
        String url = WxConstants.AppletConfigConstants.AUTH_URL
                .replace("APPID", WxConstants.AppletConfigConstants.APP_ID)
                .replace("SECRET", WxConstants.AppletConfigConstants.APP_SECRET)
                .replace("CODE", authCode);
        JSONObject result = JSONUtil.parseObj(HttpUtil.get(url));
        if (result.containsKey("openid")) {
            return result.getStr("openid");
        }
        return null;
    }

}
